Bug 998621 - QueueBrowser created on local transacted session removes messages from queue
QueueBrowser created on local transacted session removes messages from queue
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
2.3
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Ted Ross
Eric Sammons
: TestBlocker
Depends On:
Blocks: 1034320
  Show dependency treegraph
 
Reported: 2013-08-19 11:42 EDT by checking permissions
Modified: 2015-01-04 17:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1034320 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description checking permissions 2013-08-19 11:42:16 EDT
Description of problem:

When QueueBrowser is created on a session with transactions, it removes messages from queue.

Version-Release number of selected component (if applicable):

qpid-jca-0.18-8.el6.noarch
qpid-cpp-server-0.18-14.el6.i686


How reproducible:
random - needs to be called several times

Steps to Reproduce:

1. Create transacted session
2. create queue browser
3. in a loop check number of messages in queue

Actual results:

at some point messages are removed from queue

like 
 queue                                     dur  autoDel  excl  msg   msgIn  msgOut  bytes  bytesIn  bytesOut  cons  bind
  =========================================================================================================================
  2adf18ed-77ce-4e8d-bfc0-8429174937f0:0.0       Y        Y        0     0      0       0      0        0         1     2
  mrg_localtx_out                                                  8   486    478     466   12.0k    11.6k        0     1

Sometimes it also removes from queue more messages than there actually were (please see Bug 997065) 

Expected results:

no messages are removed from queue

Additional info:
Comment 4 Weston M. Price 2013-08-20 10:47:19 EDT
For this BZ and https://bugzilla.redhat.com/show_bug.cgi?id=998628 I need a bit more information: 

1) Are you using the LocalTransactionCF in your *-ds.xml file (please attach your configuration).

2)How are you running this test? What sort of application component (EJB, Servlet etc) are you using? Is there an active XA transaction while you are running this (this would have an effect).
Comment 5 Weston M. Price 2013-08-20 12:55:49 EDT
If we could test with the Java client outside of the app server, that would be good as well. I can setup the code to do this.
Comment 6 Weston M. Price 2013-08-20 13:44:47 EDT
Confirmed and verified behavior. Looking into it further...good catch Val.
Comment 7 checking permissions 2013-08-29 04:37:11 EDT
I answered question to Weston earlier in a private conversation as:

1) The whole test runs on local transactions with eap6.

2) EJB, Servlet are involved. No active XA transactions is running while test runs.
Comment 8 Michal Toth 2013-08-30 04:53:08 EDT
Tested on EAP5 with local transactions. Same behaviour as Valentina described.
Comment 9 Weston M. Price 2013-08-30 07:46:05 EDT
Confirmed as well on EAP5. Since this ultimately involves the JMS client, it will persist across EAP versions independent of JCA/JEE server.
Comment 10 Justin Ross 2013-10-15 16:49:22 EDT
Making this a qpid-java bug.  Please return it to qpid-jca if that's incorrect.
Comment 12 checking permissions 2013-11-25 10:39:56 EST
The issue is no longer present in version 2.3 (as the result of release 2.3.6)

Note You need to log in before you can comment on or make changes to this bug.